TransferOutcome (The Data Transfer Scheduler DB interface 2.0.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.db.model
Class TransferOutcome

    java.lang.Object
      org.gcube.datatransfer.scheduler.db.model.TransferOutcome

All Implemented Interfaces:
  Serializable

    public class TransferOutcome

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`TransferOutcome()`

Method Summary
`String` | `getDest()`
`String` | `getException()`
`String` | `getFileName()`
`int` | `getNumberOfOutcomeInThisTransfer()`
`String` | `getSize()`
`String` | `getSubmittedDateOfTransfer()`
`String` | `getTransferId()`
`String` | `getTransferOutcomesId()`
`String` | `getTransferredBytesOfObj()`
`String` | `getTransferTime()`
`boolean` | `isFailure()`
`boolean` | `isSuccess()`
`void` | `setDest(String dest)`
`void` | `setException(String exception)`
`void` | `setFailure(boolean failure)`
`void` | `setFileName(String fileName)`
`void` | `setNumberOfOutcomeInThisTransfer(int numberOfOutcomeInThisTransfer)`
`void` | `setSize(String size)`
`void` | `setSubmittedDateOfTransfer(String submittedDateOfTransfer)`
`void` | `setSuccess(boolean success)`
`void` | `setTransferId(String transferId)`
`void` | `setTransferOutcomesId(String transferOutcomesId)`
`void` | `setTransferredBytesOfObj(String transferredBytesOfObj)`
`void` | `setTransferTime(String transferTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferOutcome

    public TransferOutcome()

Method Detail

### getNumberOfOutcomeInThisTransfer

    public int getNumberOfOutcomeInThisTransfer()

### setNumberOfOutcomeInThisTransfer

    public void setNumberOfOutcomeInThisTransfer(int numberOfOutcomeInThisTransfer)

### getTransferOutcomesId

    public String getTransferOutcomesId()

### setTransferOutcomesId

    public void setTransferOutcomesId(String transferOutcomesId)

### getTransferId

    public String getTransferId()

### setTransferId

    public void setTransferId(String transferId)

### getSubmittedDateOfTransfer

    public String getSubmittedDateOfTransfer()

### setSubmittedDateOfTransfer

    public void setSubmittedDateOfTransfer(String submittedDateOfTransfer)

### getException

    public String getException()

### setException

    public void setException(String exception)

### getFileName

    public String getFileName()

### setFileName

    public void setFileName(String fileName)

### getDest

    public String getDest()

### setDest

    public void setDest(String dest)

### getTransferTime

    public String getTransferTime()

### setTransferTime

    public void setTransferTime(String transferTime)

### isSuccess

    public boolean isSuccess()

### setSuccess

    public void setSuccess(boolean success)

### isFailure

    public boolean isFailure()

### setFailure

    public void setFailure(boolean failure)

### getTransferredBytesOfObj

    public String getTransferredBytesOfObj()

### setTransferredBytesOfObj

    public void setTransferredBytesOfObj(String transferredBytesOfObj)

### getSize

    public String getSize()

### setSize

    public void setSize(String size)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.